Constructs a ReflectionExtension

- « ReflectionExtension::__clone

- ReflectionExtension::export »

- PHP Manual
- ReflectionExtension
- Constructs a ReflectionExtension

# ReflectionExtension::__construct

(PHP 5, PHP 7, PHP 8)

ReflectionExtension::__construct — Constructs a ReflectionExtension

### Description

public ReflectionExtension::__construct(string `$name`)

Construct a ReflectionExtension object.

### Parameters

`name`

  Name of the extension.

### Errors/Exceptions

Throws ReflectionException if the extension to reflect does not exist.

### Examples

Example #1 ReflectionExtension example

    <?php$ext = new ReflectionExtension('Reflection');printf('Extension: %s (version: %s)', $ext->getName(), $ext->getVersion());?>

The above example will output something similar to:

    Extension: Reflection (version: $Revision$)

### See Also

- ReflectionExtension::info() - Print extension info
- Constructors